# ActorProxy (dapr-sdk-parent 1.10.0 API)

Package io.dapr.actors.client

## Interface ActorProxy

    public interface ActorProxy

Proxy to communicate to a given Actor instance in Dapr.

### Method Summary

All Methods Instance Methods Abstract Methods
`ActorId` `getActorId()` Returns the ActorId associated with the proxy object.
`String` `getActorType()` Returns actor implementation type of the actor associated with the proxy object.
`reactor.core.publisher.Mono<Void>` `invokeMethod​(String methodName)` Invokes an Actor method on Dapr.
`<T> reactor.core.publisher.Mono<T>` `invokeMethod​(String methodName, TypeRef<T> type)` Invokes an Actor method on Dapr.
`<T> reactor.core.publisher.Mono<T>` `invokeMethod​(String methodName, Class<T> clazz)` Invokes an Actor method on Dapr.
`reactor.core.publisher.Mono<Void>` `invokeMethod​(String methodName, Object data)` Invokes an Actor method on Dapr.
`<T> reactor.core.publisher.Mono<T>` `invokeMethod​(String methodName, Object data, TypeRef<T> type)` Invokes an Actor method on Dapr.
`<T> reactor.core.publisher.Mono<T>` `invokeMethod​(String methodName, Object data, Class<T> clazz)` Invokes an Actor method on Dapr.

### Method Detail

#### getActorId

    ActorId getActorId()

Returns the ActorId associated with the proxy object.

Returns:
  An ActorId object.

#### getActorType

    String getActorType()

Returns actor implementation type of the actor associated with the proxy object.

Returns:
  Actor's type name.

#### invokeMethod

    <T> reactor.core.publisher.Mono<T> invokeMethod​(String methodName,
                                                    TypeRef<T> type)

Invokes an Actor method on Dapr.

Type Parameters:
  `T` - The type to be returned.
Parameters:
  `methodName` - Method name to invoke.
  `type` - The type of the return class.
Returns:
  Asynchronous result with the Actor's response.

#### invokeMethod

    <T> reactor.core.publisher.Mono<T> invokeMethod​(String methodName,
                                                    Class<T> clazz)

Invokes an Actor method on Dapr.

Type Parameters:
  `T` - The type to be returned.
Parameters:
  `methodName` - Method name to invoke.
  `clazz` - The type of the return class.
Returns:
  Asynchronous result with the Actor's response.

#### invokeMethod

    <T> reactor.core.publisher.Mono<T> invokeMethod​(String methodName,
                                                    Object data,
                                                    TypeRef<T> type)

Invokes an Actor method on Dapr.

Type Parameters:
  `T` - The type to be returned.
Parameters:
  `methodName` - Method name to invoke.
  `data` - Object with the data.
  `type` - The type of the return class.
Returns:
  Asynchronous result with the Actor's response.

#### invokeMethod

    <T> reactor.core.publisher.Mono<T> invokeMethod​(String methodName,
                                                    Object data,
                                                    Class<T> clazz)

Invokes an Actor method on Dapr.

Type Parameters:
  `T` - The type to be returned.
Parameters:
  `methodName` - Method name to invoke.
  `data` - Object with the data.
  `clazz` - The type of the return class.
Returns:
  Asynchronous result with the Actor's response.

#### invokeMethod

    reactor.core.publisher.Mono<Void> invokeMethod​(String methodName)

Invokes an Actor method on Dapr.

Parameters:
  `methodName` - Method name to invoke.
Returns:
  Asynchronous result with the Actor's response.

#### invokeMethod

    reactor.core.publisher.Mono<Void> invokeMethod​(String methodName,
                                                   Object data)

Invokes an Actor method on Dapr.

Parameters:
  `methodName` - Method name to invoke.
  `data` - Object with the data.
Returns:
  Asynchronous result with the Actor's response.